sdr::ConfigError Class Reference

The configuration error class. More...

`#include <exception.hh>`

Inheritance diagram for sdr::ConfigError:

## Public Member Functions

| ConfigError ()
| Constructor. More...
| ConfigError (const ConfigError &other)
| Copy constructor. More...
virtual | ~ConfigError () throw ()
| Destructor. More...
Public Member Functions inherited from sdr::SDRError
| SDRError ()
| Constructor. More...
| SDRError (const SDRError &other)
| Copy constructor. More...
virtual | ~SDRError () throw ()
| Destructor. More...
virtual const char * | what () const throw ()
| Implements the `std::exception` interface. More...

## Detailed Description

The configuration error class.

## Constructor & Destructor Documentation

sdr::ConfigError::ConfigError | ( |  | ) |

inline

Constructor.

sdr::ConfigError::ConfigError | ( | const ConfigError & | other | ) |

inline

Copy constructor.

virtual sdr::ConfigError::~ConfigError | ( |  | ) |
throw | ( |
| ) |  |

inlinevirtual

Destructor.

The documentation for this class was generated from the following file:

- /Users/hannes/Uni/Elektronik/sdr/libsdr/src/exception.hh